import { ClassValue } from 'clsx';
export declare const twMerge: (...classLists: import("tailwind-merge").ClassNameValue[]) => string;
/**
 * utility function used to merge tailwind classes and allows class validations
 * @param inputs
 * @returns
 */
export declare const cn: (...inputs: ClassValue[]) => string;
/**
 * Transform a value into COL format money
 * @param {string} value amount value
 * @returns
 */
export declare function formatAmountCo(value: string): string;
/**
 * Return a url with query parameters by a url and an object
 * @param url
 * @param payload
 * @returns
 */
export declare function createUrlWithQueryParams(url: string, payload: any): URL;
interface CodeSchemaProps {
    jsx: any;
    validationScheme: (yup: any) => any;
}
export declare function buildSchemaFromString(codeSchema: string): CodeSchemaProps | null;
export {};
